gnunet (0.20.0-7) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 2.6.2 to 2.7.0.
  * Use wrap-and-sort -satb for debian control files.
  * Move transitional package gnunet-dev to oldlibs/optional per policy 4.0.1.
  * Remove field Section on binary package gnunet that duplicates source.

 -- Christoph Martin <chrism@debian.org>  Tue, 11 Feb 2025 09:48:53 +0100

gnunet (0.20.0-6) unstable; urgency=medium

  * QA upload.
  * debian/patches/fix-build-with-gcc-14.patch: Fix build with GCC 14.
    (Closes: #1075031)

 -- Marcos Talau <talau@debian.org>  Thu, 24 Oct 2024 18:34:45 -0300

gnunet (0.20.0-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS against libgcrypt >= 1.11, by removing the outdated copy of
    libgcrypt.m4.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 May 2024 17:06:20 +0200

gnunet (0.20.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062452

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:31:01 +0000

gnunet (0.20.0-4) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 07 Feb 2024 06:59:35 +0100

gnunet (0.20.0-3) sid; urgency=medium

  * Uploading to sid.
  * Adding missing dependency to passwd for groupadd in gnunet maintainer
    scripts, thanks to Santiago Vila <sanvila@debian.org> (Closes:
    #1054448).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 Oct 2023 06:41:25 +0200

gnunet (0.20.0-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes to unstable.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Sep 2023 09:42:07 +0200

gnunet (0.20.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.20.0.
  * Updating years in copyright for 2023.
  * Updating packaging for libgnunet0.20.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Sep 2023 10:48:56 +0200

gnunet (0.19.4-4) sid; urgency=medium

  * Uploading to sid.
  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1044357).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 11:39:38 +0200

gnunet (0.19.4-3) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:15:11 +0200

gnunet (0.19.4-2) experimental; urgency=medium

  * Uploading to experimental.
  * Adding missing depends to gnunet in libgnunet-dev (Closes: #1035870).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 May 2023 10:20:51 +0200

gnunet (0.19.4-1) experimental; urgency=medium

  * Uploading to experimental.
  * Silencing user and group removals in gnunet postrm.
  * Merging upstream version 0.19.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 09:15:52 +0200

gnunet (0.19.3-1) sid; urgency=high

  * Uploading to sid, using bumped urgency to get latest 0.19.x release
    into testing before the freeze.
  * Merging upstream version 0.19.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 09 Feb 2023 03:08:10 +0100

gnunet (0.19.2-2) sid; urgency=medium

  * Uploading to sid.
  * Adding delaycompress in logrotate.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 12:07:34 +0100

gnunet (0.19.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.19.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Jan 2023 11:28:04 +0100

gnunet (0.19.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating variable name for ifconfig binary in rules, thanks to Vagrant
    Cascadian <vagrant@reproducible-builds.org> (Closes: #1024291).
  * Adding updated Brazilian-Portuguese Debconf translations from Paulo
    Henrique de Lima Santana (phls) <phls@debian.org> (Closes: #1025989).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 08:29:01 +0100

gnunet (0.19.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.19.1.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 07:29:32 +0100

gnunet (0.19.0-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 14 Dec 2022 22:18:51 +0100

gnunet (0.19.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.19.0.
  * Updating packaging for libgnunet0.19.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Dec 2022 16:49:46 +0100

gnunet (0.17.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.17.6.
  * Updating todo file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 28 Sep 2022 07:05:31 +0200

gnunet (0.17.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.17.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 08 Sep 2022 13:21:05 +0200

gnunet (0.17.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.17.4.
  * Updating http links to https in copyright.
  * Removing broken gnunet-user variable in gnunet.service.
  * Adding sphinx build-depends to build newly added documentation.
  * Wrap-and-sorting debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 13:33:49 +0200

gnunet (0.17.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.17.2.
  * Adding version mangling in watch file.
  * Correcting typo in examples/gnunet.conf.
  * Correcting format-error in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Jul 2022 14:52:44 +0200

gnunet (0.17.1-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 07 Jul 2022 09:45:16 +0200

gnunet (0.17.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.17.1.
  * Updating upstream copyright for 2022.
  * Updating to standards version 4.6.1.
  * Updating packaging for libgnunet0.17.
  * Updating packaging for gnunet 0.17.
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@persilja.net> (Closes: #1010909).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Jun 2022 09:13:53 +0200

gnunet (0.15.3-4) sid; urgency=medium

  * Uploading to sid.
  * Adding updated Italian debconf translations from Beatrice Torracca
    <beatricet@libero.it> (Closes: #1003289).
  * Updating Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1004317).
  * Completing German debconf translation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Jan 2022 06:42:45 +0100

gnunet (0.15.3-3) sid; urgency=medium

  * Uploading to sid.
  * Updating packaging copyright for 2022.
  * Moving from weekly logrotation to monthly.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 04 Jan 2022 07:50:47 +0100

gnunet (0.15.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding patch from Gianfranco Costamagna <locutusofborg@debian.org> to
    fix FTBFS on big endian systems (Closes: #1002727).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Dec 2021 13:32:39 +0100

gnunet (0.15.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.3 (Closes: #986828, #993247).
  * Updating packaging for libgnunet0.15.
  * Updating packaging for gnunet 0.15.
  * Updating to standards version 4.6.0.
  * Passing path to ifconfig for reproducibility reasons on merged-/usr
    systems, thanks to Simon McVittie <smcv@debian.org> (Closes: #993249).
  * Using mktemp instead of tempfile (Closes: #998290).
  * Adding GFDL license note for manpages in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Dec 2021 08:21:31 +0100

gnunet (0.14.0-6) experimental; urgency=medium

  * Uploading to experimental.
  * Updating watch file.
  * Deduplicating libgnunet files on arch-only builds (Closes: #991037).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 05:31:06 +0200

gnunet (0.14.0-5) experimental; urgency=medium

  * Uploading to experimental.
  * Correcting totally wrong Conflicts/Replaces in libgnunet0.14 with proper
    Breaks/Replaces (Closes: #983777).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 01 Mar 2021 19:44:55 +0100

gnunet (0.14.0-4) experimental; urgency=medium

  * Uploading to experimental.
  * Converting some debconf po files to UTF-8.
  * Splitting out shared libraries to ease use in GNU Taler.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 17:08:38 +0100

gnunet (0.14.0-3) experimental; urgency=medium

  * Uploading to experimental.
  * Updating README.Debian.
  * Correcting chown in postinst for correct directory name.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 16:50:09 +0100

gnunet (0.14.0-2) experimental; urgency=medium

  * Uploading to experimental.
  * Adding gnunet dotfile examples.
  * Streamlining logfile location and name.
  * Removing weird character in gnunet.postinst.
  * Building without mysql, using prefered postgresql for the whole gnunet
    ecosystem.
  * Streamlining debconf and config variables.
  * Correcting wrong email in previous upload.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 15:42:56 +0100

gnunet (0.14.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.14.0.
  * Correcting mixup with Bertrands firstname in previous changelog entry.
  * Consolidating my email address.
  * Using more common writing for version specifications in control.
  * Dropping obsolete build-conflicts on automake1.4.
  * Updating to standards version 4.5.1.
  * Adding Rules-Requires-Root field.
  * Sorting control fields.
  * Repeating section in every package block of control for consistency.
  * Removing versions from dependencies fulfilled by buster and newer.
  * Switching from adduser to util-linux commands to create or remove users and groups.
  * Updating package short-description.
  * Updating source in copyright.
  * Correcting formating of copyright lists.
  * Shortening file patterns in copyright.
  * Sorting licenses in copyright.
  * Updating copyright for 2021.
  * Removing superfluous whitespace from changelog.
  * Simplifying local manpage installation.
  * Simplifying removing of unwanted files.
  * Marking maintainer scripts as executable in debian tree.
  * Removing preseed example file.
  * Dropping authors file from docs.
  * Simplifying local conffile installation.
  * Correcting indenting for AGPL in copyright.
  * Shortening debhelper install files.
  * Updating debconf preseeding.
  * Compacting rules.
  * Wrap-and-sorting debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 11:29:27 +0100

gnunet (0.13.1-2) sid; urgency=medium

  * Uploading to sid.
  * New maintainer, thank you Bertrand for all your work (Closes: #964314,
    #975615).
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 09:24:10 +0100

gnunet (0.13.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libidn2-dev instead of obsolete libidn2-0-dev.  Closes: #974995.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 24 Nov 2020 09:17:37 +0100

gnunet (0.13.1-1) unstable; urgency=medium

  * Update debian/watch to version 4, add a rule deal with pre and rc
    versions.
  * debian/upstream/signing-key.asc: reexport upstream signing key with
    minimal options.
  * New upstream version 0.13.1 (Closes: #929131).
  * Remove erroneous patch fix-bashism (Closes: #933905).
  * Add Nils Gillmann's gpg key to debian/upstream/signing-key.asc
  * Add Martin Schanzenbach's gpg key to debian/upstream/signing-key.asc.
  * Build-depend on python3-dev instead of python3.7-dev and python-
    future.
  * debian/control: drop suggests: python and python-zbar, not necessary
    anymore (Closes: #943054).
  * Apply debhelper compat 13:
    + declare build-dependency on debhelper-compat (=13).
    + remove build-dependency on dh-autoreconf.
    + remove debian/compat.
    + remove dh_install --fail-missing from debian/rules.
    + remove --with-autoreconf from debian/rules.
  * Remove gnunet-download-manager.scm from debian/rules as it was removed
    upstream.
  * Remove manpages from debian/man that were included upstream.
  * Use secure URI in Homepage field.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 0.7.3-5.
  * Drop transition for old debug package migration.
  * Update standards version to 4.5.0:
    + rename the default user to _gnunet.
  * Update build-dependencies versions according to README
  * Build-depend on libsodium-dev, according to README.
  * Add Dont_copy_license_file.patch to avoid copying a LICENSE file
    in the wrong place.
  * Remove old code from debian/gnunet.install.
  * debian/copyright:
    + update years.
    + the main license is now AGPL-3+.
  * Update configuration according to the documentation.
  * Replace gnunet.init with a systemd service file.
  * Add debian/upstream/metadata.
  * Remove pre-buster Breaks and Replaces from debian/control.
  * Use wrap-and-sort -as.

 -- Bertrand Marc <bmarc@debian.org>  Tue, 14 Jul 2020 18:17:17 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgnunet0.20t64`.
